// BitmapResourceView.cpp : Implementierung der Klasse CBitmapResourceView
//

#include "stdafx.h"
#include "BitmapResource.h"

#include "BitmapResourceDoc.h"
#include "BitmapResourceView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CBitmapResourceView

IMPLEMENT_DYNCREATE(CBitmapResourceView, CScrollView)

BEGIN_MESSAGE_MAP(CBitmapResourceView, CScrollView)
	// Standarddruckbefehle
	ON_COMMAND(ID_FILE_PRINT, &CScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CScrollView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CBitmapResourceView-Erstellung/Zerstrung

CBitmapResourceView::CBitmapResourceView()
{
	// TODO: Hier Code zur Konstruktion einfgen

}

CBitmapResourceView::~CBitmapResourceView()
{
}

BOOL CBitmapResourceView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: ndern Sie hier die Fensterklasse oder die Darstellung, indem Sie
	//  CREATESTRUCT cs modifizieren.

	return CScrollView::PreCreateWindow(cs);
}

// CBitmapResourceView-Zeichnung

void CBitmapResourceView::OnDraw(CDC* pDC)
{
	CBitmapResourceDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: Code zum Zeichnen der systemeigenen Daten hinzufgen

	CImage *pBitmap = new CImage();
	pBitmap->LoadFromResource (AfxGetApp()->m_hInstance, IDB_BITMAP_VIEW);
	pBitmap->Draw (*pDC, 0, 0);
	delete pBitmap;
	

	/*
	//Alternatives Vorgehen ber die Klasse "CBitmap":
	
	//Wir erzeugen eine CBitmap und laden die Resource:
	CBitmap* pBitmap = new CBitmap ();
	pBitmap->LoadBitmapW (IDB_BITMAP_VIEW);
	 
	//Jetzt brauchen wir die Gre.
	//Dies geht nur indem wir eine Struktur "BITMAP" auslesen.
	BITMAP bitmapInfo;
	pBitmap->GetBitmap(&bitmapInfo);
	
	//Wir mssen mal wieder ber einen Memory Device Context gehen,
	//in den wir die Bitmap laden:
	CDC dcMem;
	dcMem.CreateCompatibleDC (pDC);
	CBitmap* pOldBitmap = dcMem.SelectObject (pBitmap);
	
	//Umkopieren des Memory-Device-Contexts in den "pDC":
	BOOL bolResult = pDC->BitBlt(0,0, bitmapInfo.bmWidth, bitmapInfo.bmHeight,
			&dcMem, 0, 0, SRCCOPY);

	dcMem.SelectObject(pOldBitmap);

	delete pBitmap; */
}

void CBitmapResourceView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize sizeTotal;
	// TODO: Gesamte Gre dieser Ansicht berechnen
	sizeTotal.cx = sizeTotal.cy = 100;
	SetScrollSizes(MM_TEXT, sizeTotal);
}


// CBitmapResourceView drucken

BOOL CBitmapResourceView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// Standardvorbereitung
	return DoPreparePrinting(pInfo);
}

void CBitmapResourceView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Zustzliche Initialisierung vor dem Drucken hier einfgen
}

void CBitmapResourceView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Bereinigung nach dem Drucken einfgen
}


// CBitmapResourceView-Diagnose

#ifdef _DEBUG
void CBitmapResourceView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CBitmapResourceView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CBitmapResourceDoc* CBitmapResourceView::GetDocument() const // Nicht-Debugversion ist inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CBitmapResourceDoc)));
	return (CBitmapResourceDoc*)m_pDocument;
}
#endif //_DEBUG


// CBitmapResourceView-Meldungshandler
